from axelrod.action import Action
from axelrod.player import Player
lIIIlIllllIIlIIll, IIlllllIIIIIIIllll = Action.C, Action.D
class IlllIllIIIlIllIlII(Player):
    IIIIlIIIll = "strategy"
    lIllIIIIIIllll = {
        "memory_depth": 1,
        "long_run_time": False,
        "stochastic": True,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IIlllIllIl(lIIIIIlIlIlIIIl, IIlIIIlIIllllI: Player) -> Action:
        if not IIlIIIlIIllllI.history:
            return lIIIIIlIlIlIIIl._random.random_choice()
        if lIIIIIlIlIlIIIl.history[-1] == lIIIlIllllIIlIIll and IIlIIIlIIllllI.history[-1] == lIIIlIllllIIlIIll:
            return IIlllllIIIIIIIllll
        return lIIIlIllllIIlIIll